%global debug_package %{nil}

Name:           slack-repo
Version:        0.0.4
Release:        1%{?dist}
Epoch:          1
URL:            https://github.com/jdoss/slack-repo/
Summary:        A package for installing the Slack RPM repository
License:        MIT
Group:          System Environment/Kernel
BuildArch:      noarch

Source:        https://github.com/jdoss/slack-repo/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Provides:       slack-repo

%description
A DNF/YUM repository for installing Slack on RHEL, CentOS, and Fedora Linux.

%prep
%setup -q -n slack-repo-%{version}

%build
echo "Nothing to build. This package just provides a single file. :)"

%install
install -p -d -m 755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -p -D -m 0644 %{_builddir}/slack-repo-%{version}/slack.repo %{buildroot}%{_sysconfdir}/yum.repos.d/slack.repo

%files
%config(noreplace) %{_sysconfdir}/yum.repos.d/slack.repo

%changelog
* Thu Nov 18 2021 Joe Doss <joe@solidadmin.com> - 0.0.4
- Update GPG key to https://slack.com/gpg/slack_pubkey_20210901.gpg

* Wed Nov 6 2019 Joe Doss <joe@solidadmin.com> - 0.0.3
- Update GPG key to https://slack.com/gpg/slack_pubkey_2019.gpg

* Wed Aug 8 2018 Joe Doss <joe@solidadmin.com> - 0.0.2
- Remove repo_gpgcheck=1 to fix #1

* Tue Jun 12 2018 Joe Doss <joe@solidadmin.com> - 0.0.1
- Intial slack-repo release
